Docs

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST

Create docs

Also available via the PostHog MCP server:

  • docs-searchSearch documentation

Run a hybrid (semantic + full-text) RAG search over the PostHog documentation via Inkeep. Returns a markdown body with title, URL, and excerpt for each match for the agent to cite back to the user.

Required API key scopes

project:read

Request parameters

  • query
    string

Response


Example request

POST /api/environments/:project_id/mcp_tools/docs_search
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/mcp_tools/docs_search/\
-d query="string"

Example response

Status 200 Markdown-formatted documentation results.
RESPONSE
{
"content": "string"
}

Community questions

Questions about this page? or post a community question.